Save chart of accounts templates
curl --request POST \
--url https://sandbox.tight.com/v6/templates/chartOfAccounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "coa_123456",
"name": "Standard Business Accounts",
"businessTypeId": "bt_789012",
"accounts": [
{
"id": "tgla_324231",
"accountNo": "11500",
"name": "Accounts Receivable",
"level": 3,
"type": "ASSET",
"assetType": "AR",
"children": "<array>",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
]
'import requests
url = "https://sandbox.tight.com/v6/templates/chartOfAccounts"
payload = [
{
"id": "coa_123456",
"name": "Standard Business Accounts",
"businessTypeId": "bt_789012",
"accounts": [
{
"id": "tgla_324231",
"accountNo": "11500",
"name": "Accounts Receivable",
"level": 3,
"type": "ASSET",
"assetType": "AR",
"children": "<array>",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
id: 'coa_123456',
name: 'Standard Business Accounts',
businessTypeId: 'bt_789012',
accounts: [
{
id: 'tgla_324231',
accountNo: '11500',
name: 'Accounts Receivable',
level: 3,
type: 'ASSET',
assetType: 'AR',
children: '<array>',
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
}
])
};
fetch('https://sandbox.tight.com/v6/templates/chartOfAccounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "coa_123456",
"name": "Standard Business Accounts",
"businessTypeId": "bt_789012",
"accounts": [
{
"id": "tgla_324231",
"accountNo": "11500",
"name": "Accounts Receivable",
"level": 3,
"type": "ASSET",
"assetType": "AR",
"children": "<array>",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Chart of Accounts
Save chart of accounts templates
Save a new (or update an existing) set of chart of accounts templates for the specified business type
POST
/
v6
/
templates
/
chartOfAccounts
Save chart of accounts templates
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.
Body
application/json
Id of the chart of accounts
Example:
"coa_123456"
Name of the chart of accounts
Example:
"Standard Business Accounts"
Business type id this chart applies to
Example:
"bt_789012"
Template GL account assigned to matched transactions
Show child attributes
Show child attributes
⌘I